library(ggplot2)
library(tidyr)
library(scales)

#faili sisselugemine ja andmete formaadi korrigeerimine
J243=read.csv2("PT2-T2.4-J2.4.3.csv",header=TRUE, encoding ="UTF-8")
J243$OR=as.numeric(J243$OR)
J243$Tunnus=sub("_"," ",J243$Tunnus)
J243$Tunnus=sub("_"," ",J243$Tunnus)
J243$Väärtus=sub("_"," ",J243$Väärtus)
J243$Väärtus=sub("_"," ",J243$Väärtus)
J243$usaldusintervall=as.numeric(J243$usaldusintervall)
J243$usaldusintervall.1=as.numeric(J243$usaldusintervall.1)
J243$Väärtus=as.factor(J243$Väärtus)
J243$Tunnus=as.factor(J243$Tunnus)
J243$Tunnus=factor(J243$Tunnus,levels(J243$Tunnus)[order(c(9,5,4,3,6,2,8,7,1))])
J243$Väärtus=factor(J243$Väärtus,levels(J243$Väärtus)[order(c(2,3,1,11,5,6,7,8,9,12,4,10))])
J243$Sugu="Men"

J244=read.csv2("PT2-T2.4-J2.4.4.csv",header=TRUE, encoding ="UTF-8")
J244$OR=as.numeric(J244$OR)
J244$usaldusintervall=as.numeric(J244$usaldusintervall)
J244$usaldusintervall.1=as.numeric(J244$usaldusintervall.1)
J244$Väärtus=as.factor(J244$Väärtus)
J244$Tunnus=as.factor(J244$Tunnus)
J244$Tunnus=factor(J244$Tunnus,levels(J244$Tunnus)[order(c(9,5,4,3,6,2,8,7,1))])
J244$Väärtus=factor(J244$Väärtus,levels(J244$Väärtus)[order(c(2,3,1,11,5,6,7,8,9,12,4,10))])
J244$Sugu="Women"
J243=rbind(J243,J244)
J243$OR=as.numeric(J243$OR)


#joonis
ggplot(J243)+
  theme_minimal()+
  geom_abline(aes(slope=0,intercept=1),linetype="dashed")+
  geom_errorbar(aes(x=Väärtus,ymin=usaldusintervall,ymax=usaldusintervall.1,col=Sugu),width=0.2)+
  geom_point(aes(x=Väärtus,y=OR,col=Sugu),cex=2)+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  facet_grid(Tunnus~Sugu,scales="free_y", space="free",labeller = label_wrap_gen(5))+
  theme(legend.position = "none")+
  coord_flip()+
  xlab("")+
  ylab("")+
  theme(strip.text.y = element_text(angle = 360,color="#668080"),strip.text.x = element_text(face = "bold",size=10,color="#668080"))


